cURL
curl --request POST \ --url https://brew.new/api/contacts/import \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "contacts": [ { "email": "john@example.com", "firstName": "John", "lastName": "Doe", "subscribed": true, "customFields": { "company": "Acme Inc", "role": "Developer" } }, { "email": "jane@example.com", "firstName": "Jane", "lastName": "Smith" } ] } '
{ "success": true, "data": { "importId": "<string>", "stats": { "total": 123, "valid": 123, "invalid": 123 }, "errors": [ { "index": 123, "email": "<string>", "error": "<string>" } ] }, "message": "<string>", "meta": { "requestId": "<string>" } }
Import multiple contacts via API. Contacts are queued for processing.
Permission required: contacts or all
contacts
all
Note: Automations are triggered via the dedicated endpoint (/automations/{automationId}/trigger), not through contact imports.
/automations/{automationId}/trigger
Use Authorization: Bearer brew_xxxxx header
Authorization: Bearer brew_xxxxx
10000
Show child attributes
Import queued successfully
true
Was this page helpful?